Subject: Re: bug#15630: Acknowledgement (grep 2.14 much slower than 2.5.1)

From: Jim Meyering <[email-masked]>
Date: Sat, 19 Oct 2013 19:54:23 -0700

On Sat, Oct 19, 2013 at 6:39 PM, Z. Majeed <[email-masked]> wrote:
> Thanks - I nearly always use -i so a fix would be highly appreciated -
> meantime I dug a bit more into this issue - it's not as straightforward as
> it first seemed - the crux of the problem is not the workaround for UTF-8
> but -i "<name>.*russia" causing dfamust to be just the one-character string
> "<" because "name" turns into character classes - for XML input that
> practically makes keyword matching worthless and the main loop in EGexecute
> degenerates to line-by-line processing - it seems to me dfaparse ought to
> deal with case foldings a little better so the trans table support in cwexec
> gets used - there have also been some simple patches submitted to make use
> of trans in bmexec

If you can point to a seemingly-good patch, please do.